package org.codehaus.xfire.java.type;

import java.util.Date;

import org.codehaus.xfire.java.message.MessageReader;
import org.codehaus.xfire.java.message.MessageWriter;

/**
 * Type for the Calendar class.
 * 
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public class DateType
    extends Type
{
    public Object readObject(MessageReader reader)
    {
        return reader.getValueAsDateTime();
    }

    public void writeObject(Object object, MessageWriter writer)
    {
        writer.writeValueAsDateTime( (Date) object );
    }
}
