package org.codehaus.xfire.java.type;

import org.codehaus.xfire.java.message.MessageReader;
import org.codehaus.xfire.java.message.MessageWriter;

/**
 * SimpleSerializer
 * 
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public class BooleanType
    extends Type
{
    public Object readObject(MessageReader reader)
    {
        return new Boolean( reader.getValueAsBoolean() );
    }

    public void writeObject(Object object, MessageWriter writer)
    {
        writer.writeValueAsBoolean( ((Boolean) object).booleanValue() );
    }
}
